.ui-icon {
	display: inline-block;
	width: 39px;
}

/*xs*/
.ui-icon-xs { width: 26px; }

/*sm*/
.ui-icon-sm { width: 31px; }

/*md*/
.ui-icon-md { width: 39px; }

/*lg*/
.ui-icon-lg { width: 47px; }

/*region Icons file*/
.ui-icon-file { }

.ui-icon-file i {
	display: block;
	padding-top: 100%;
	max-width: 100%;
	width: 100%;
	height: 0;
	background: url(images/sprite-files.min.svg?v1.2) no-repeat center;
	background-size: 100% auto;
	--icon-file-col: 14;
}

/**/
.ui-icon-file i,
.ui-icon-file-empty i { background-position: 0 calc(100% / var(--icon-file-col) * 0) }

.ui-icon-file-txt i { background-position: 0 calc(100% / var(--icon-file-col) * 1) }

.ui-icon-file-doc i { background-position: 0 calc(100% / var(--icon-file-col) * 2) }

.ui-icon-file-xls i { background-position: 0 calc(100% / var(--icon-file-col) * 3) }

.ui-icon-file-php i { background-position: 0 calc(100% / var(--icon-file-col) * 4) }

.ui-icon-file-pdf i { background-position: 0 calc(100% / var(--icon-file-col) * 5) }

.ui-icon-file-ppt i { background-position: 0 calc(100% / var(--icon-file-col) * 6) }

.ui-icon-file-rar i { background-position: 0 calc(100% / var(--icon-file-col) * 7) }

.ui-icon-file-zip i { background-position: 0 calc(100% / var(--icon-file-col) * 8) }

.ui-icon-file-set i { background-position: 0 calc(100% / var(--icon-file-col) * 9) }

.ui-icon-file-mov i { background-position: 0 calc(100% / var(--icon-file-col) * 10) }

.ui-icon-file-img i { background-position: 0 calc(100% / var(--icon-file-col) * 11) }

.ui-icon-file-folder i { background-position: 0 calc(100% / var(--icon-file-col) * 12) }

.ui-icon-file-folder-shared i { background-position: 0 calc(100% / var(--icon-file-col) * 13) }

.ui-icon-file-folder-shared_2 i { background-position: 0 calc(100% / var(--icon-file-col) * 14) }

/*region Fix for IE*/
.bx-ie .ui-icon-file i,
.bx-ie .ui-icon-file-empty i { background-position: 0 0 }

.bx-ie .ui-icon-file-txt i { background-position: 0 7.14% }

.bx-ie .ui-icon-file-doc i { background-position: 0 14.28% }

.bx-ie .ui-icon-file-xls i { background-position: 0 21.42% }

.bx-ie .ui-icon-file-php i { background-position: 0 28.58% }

.bx-ie .ui-icon-file-pdf i { background-position: 0 35.72% }

.bx-ie .ui-icon-file-ppt i { background-position: 0 42.86% }

.bx-ie .ui-icon-file-rar i { background-position: 0 50% }

.bx-ie .ui-icon-file-zip i { background-position: 0 57.14% }

.bx-ie .ui-icon-file-set i { background-position: 0 64.28% }

.bx-ie .ui-icon-file-mov i { background-position: 0 71.42% }

.bx-ie .ui-icon-file-img i { background-position: 0 78.58% }

.bx-ie .ui-icon-file-folder i { background-position: 0 85.72% }

.bx-ie .ui-icon-file-folder-shared i { background-position: 0 92.86% }

.bx-ie .ui-icon-file-folder-shared_2 i { background-position: 0 100% }
/*endregion*/

/*endregion*/

/*region avatar*/
.ui-icon-common i {
	display: block;
	padding-top: 100%;
	max-width: 100%;
	width: 100%;
	height: 0;
	border-radius: 50%;
	background: #7b8691 url(images/sprite-common.svg) no-repeat center;
	background-size: 100% auto;
	--icon-common-col: 8;
}

.ui-icon-common i,
.ui-icon-common-user i { background-position: 0 calc(100% / var(--icon-common-col) * 0) }

.ui-icon-common-phone i { background-position: 0 calc(100% / var(--icon-common-col) * 1) }

.ui-icon-common-notification i { background-position: 0 calc(100% / var(--icon-common-col) * 2) }

.ui-icon-common-user-group i { background-position: 0 calc(100% / var(--icon-common-col) * 3) }

.ui-icon-common-company i { background-position: 0 calc(100% / var(--icon-common-col) * 4) }

.ui-icon-common-bitrix24 i { background-position: 0 calc(100% / var(--icon-common-col) * 5) }

.ui-icon-common-cloud i { background-position: 0 calc(100% / var(--icon-common-col) * 6) }

.ui-icon-common-folder i { background-position: 0 calc(100% / var(--icon-common-col) * 7) }

.ui-icon-common-info i { background-position: 0 calc(100% / var(--icon-common-col) * 8) }

/*region Fix for IE*/
.bx-ie .ui-icon-common i {
	display: block;
	padding-top: 100%;
	max-width: 100%;
	width: 100%;
	height: 0;
	border-radius: 50%;
	background: #7b8691 url(images/sprite-common.svg) no-repeat center;
	background-size: 100% auto;
	--icon-common-col: 8;
}

.bx-ie .ui-icon-common i,
.bx-ie .ui-icon-common-user i { background-position: 0 0 }

.bx-ie .ui-icon-common-phone i { background-position: 0 12.5% }

.bx-ie .ui-icon-common-notification i { background-position: 0 25% }

.bx-ie .ui-icon-common-user-group i { background-position: 0 37.5% }

.bx-ie .ui-icon-common-company i { background-position: 0 50% }

.bx-ie .ui-icon-common-bitrix24 i { background-position: 0 62.5% }

.bx-ie .ui-icon-common-cloud i { background-position: 0 75% }

.bx-ie .ui-icon-common-folder i { background-position: 0 87.5% }

.bx-ie .ui-icon-common-info i { background-position: 0 100% }

/*endregion*/

/*endregion*/